#ifndef GLOBALS_H_INCLUDED
#define GLOBALS_H_INCLUDED
/*
 * Global defines
 *
 * To port this software to another platform (os / web server), add
 * global defines here and adjust the source, but do not break
 * existing functionality, just add custom defines!
 */

//Which build, exclusive! (currently, only for IIS)
#define IISBUILD					//Builds for Windows + IIS (isapi filter)
//#define ISABUILD					//Builds for ISA Server (reverse proxy isapi filter)

//#define PRIVATEBUILD				//is this a private build (for personal use)
//#define SYSTEM_LOG_BUILD			//log in \system32\LogFiles dir

#define APP_FULLNAME "AQTRONIX WebKnight 2.4"
#define APP_SERVER_HEADER "WebKnight/2.4"
//also adjust the version in the resource file

#ifdef IISBUILD
#define SITEINSTANCE "W3SVC"		//IIS site labelling
#else
#define SITEINSTANCE "Instance "	//default site labelling
#endif

#endif //GLOBALS_H_INCLUDED